using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SharpDX;

namespace Framefield.Core.ID2a881324_9ff1_46ed_9543_8a51a13d6c68
{

    public class Class_TimeAndDate : OperatorPart.Function, Framefield.Core.OperatorPartTraits.ITimeAccessor
    {
        //>>> _inputids
        private enum InputId
        {
        }
        //<<< _inputids
        
        //>>> _outputids
        private enum OutputId
        {
            Year = 0,
            Month = 1,
            Day = 2,
            Hour = 3,
            Minute = 4,
            Second = 5,
            Millisecond = 6
        }
        //<<< _outputids
        
        public override OperatorPartContext Eval(OperatorPartContext context, List<OperatorPart> inputs, int outputIdx) {
            //>>> _params
            
            //<<< _params
            
            switch((OutputId)outputIdx)  {
                case OutputId.Year:
                    context.Value = DateTime.Now.Year;
                    break;                            
                case OutputId.Month:
                    context.Value = DateTime.Now.Month;
                    break;                            
                case OutputId.Day:
                    context.Value = DateTime.Now.Day;
                    break;                            
                case OutputId.Hour:
                    context.Value = DateTime.Now.Hour;
                    break;                            
                case OutputId.Minute:
                    context.Value = DateTime.Now.Minute;
                    break;                            
                case OutputId.Second:
                    context.Value = DateTime.Now.Second;
                    break;                            
                case OutputId.Millisecond:
                    context.Value = DateTime.Now.Millisecond;
                    break;                            
            }
            return context;
        }
    }
}


